<template>
  <Status></Status>
  <NavBar></NavBar>
  <router-view/>


  <div>
    <h1> Super Quick Registration </h1>
<!--
    <form @submit.prevent="pressed">
      <input type="email" v-model="email" placeholder="Email">
      <input type="password" v-model="password" placeholder="password">
      <button type="submit">Registers</button>
      <p v-if="error"> message : {{ error }}</p>
      <p v-else></p>
      <p v-if="success"> {{ success }}</p>

    </form>
-->

    <form style="width:70vw; margin-left:auto;margin-right:auto;" @submit.prevent="pressed">
      <div class="ui  segment">
        <div style="height: 50vh; padding-top :10%;" class="ui form">
          <div class=" field column">
            <div class="field">
              <label>You E-Mail</label>
              <input v-model="email" placeholder="personna@provider.com" type="email">
            </div>
            <div class="field">
              <label>Your Password</label>
              <input v-model="password" type="password" placeholder="Password">
            </div>
          </div>
          <div class="inline field">

          </div>
          <button class="ui submit button">Finalise Registration</button>
        </div>
      </div>

    </form>
  </div>
</template>

<script>
import "firebase/auth";
import NavBar from "@/components/NavBar";
import Status from "@/components/Status";




export default {
    name: 'Register',
    components : {
      NavBar,Status
    },

    methods:{
      pressed(){
     this.$store.dispatch('register',{email:this.email,password:this.password})
      }
    },
    data() {
      return{
        email : "",
        password : "",
        error : "",
        success : ''
      }
    }
  }
</script>

<style scoped>

</style>